#include "mesh_processing.h"
#include <list>


std::vector<HalfedgeStrip> findBorders(MyMesh &mesh) {
	std::vector<HalfedgeStrip> borders(1);
	size_t current = 0;
	for (auto it = mesh.halfedges_begin(); it != mesh.halfedges_end(); ++it) {
		while (mesh.is_boundary(*it)) {
			borders[current].push_back(*it);
			++it;
		}
		if (borders[current].size() > 0) {
			borders.emplace_back();
			current++;
		}
	}
	if (borders.back().size() == 0) {
		borders.pop_back();
	}
	return borders;
}


void setBorderColor(MyMesh &mesh, const HalfedgeStrip &border,
					MyMesh::Color color) {
	for (MyMesh::HalfedgeHandle it : border) {
		mesh.set_color(mesh.to_vertex_handle(it), color);
	}
}
